petsc-3.4.2 2013-07-02

# PCLoad

Loads a PC that has been stored in binary with PCView().

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCLoad(PC newdm, PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| newdm | - the newly loaded PC, this needs to have been created with PCCreate() or some related function before a call to PCLoad().
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen()

### Notes

The type is determined by the data in the file, any type set into the PC before this call is ignored.

### Notes for advanced users

Most users should not need to know the details of the binary storage format, since PCLoad() and PCView() completely hide these details. But for anyone who's interested, the standard binary matrix storage format is

         has not yet been determined

### See Also

PetscViewerBinaryOpen(), PCView(), MatLoad(), VecLoad()

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages